#pragma once

#include "CoreMinimal.h"
#include "QuestEventEvaluatorBase.h"
#include "EIncrementRepetitionType.h"
#include "SpendTimeWithGameplayTagQEEvaluator.generated.h"

UCLASS(Blueprintable)
class USpendTimeWithGameplayTagQEEvaluator : public UQuestEventEvaluatorBase
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _incrementOnOtherPlayers;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EIncrementRepetitionType _incrementRepetitionType;

public:
	USpendTimeWithGameplayTagQEEvaluator();
};

FORCEINLINE uint32 GetTypeHash(const USpendTimeWithGameplayTagQEEvaluator) { return 0; }
